// -*- C++ -*-
// $Id$

/**
 * Code generated by the The ACE ORB (TAO) IDL Compiler v2.2a_p14
 * TAO and the TAO IDL Compiler have been developed by:
 *       Center for Distributed Object Computing
 *       Washington University
 *       St. Louis, MO
 *       USA
 *       http://www.cs.wustl.edu/~schmidt/doc-center.html
 * and
 *       Distributed Object Computing Laboratory
 *       University of California at Irvine
 *       Irvine, CA
 *       USA
 * and
 *       Institute for Software Integrated Systems
 *       Vanderbilt University
 *       Nashville, TN
 *       USA
 *       http://www.isis.vanderbilt.edu/
 *
 * Information about TAO is available at:
 *     http://www.cs.wustl.edu/~schmidt/TAO.html
 **/

// TAO_IDL - Generated from
// be/be_codegen.cpp:152

#ifndef _TAO_IDL_DDSDCPSCONDITIONSEQC_FJJU6D_H_
#define _TAO_IDL_DDSDCPSCONDITIONSEQC_FJJU6D_H_

#include /**/ "ace/pre.h"


#include /**/ "ace/config-all.h"

#if !defined (ACE_LACKS_PRAGMA_ONCE)
# pragma once
#endif /* ACE_LACKS_PRAGMA_ONCE */


#include /**/ "dds/DCPS/dcps_export.h"
#include "tao/ORB.h"
#include "tao/Basic_Types.h"
#include "tao/Sequence_T.h"
#include "tao/Objref_VarOut_T.h"
#include "tao/Seq_Var_T.h"
#include "tao/Seq_Out_T.h"
#include "tao/Arg_Traits_T.h"
#include "tao/Basic_Arguments.h"
#include "tao/Special_Basic_Arguments.h"
#include "tao/Any_Insert_Policy_T.h"
#include "tao/Fixed_Size_Argument_T.h"
#include "tao/Var_Size_Argument_T.h"
#include /**/ "tao/Version.h"
#include /**/ "tao/Versioned_Namespace.h"
#include /**/ "dds/Versioned_Namespace.h"

#if TAO_MAJOR_VERSION != 2 || TAO_MINOR_VERSION != 2 || TAO_BETA_VERSION != 0
#error This file should be regenerated with TAO_IDL
#endif

#if defined (TAO_EXPORT_MACRO)
#undef TAO_EXPORT_MACRO
#endif
#define TAO_EXPORT_MACRO OpenDDS_Dcps_Export

OPENDDS_BEGIN_VERSIONED_NAMESPACE_DECL



// TAO_IDL - Generated from
// be/be_visitor_module/module_ch.cpp:38

namespace DDS
{

  // TAO_IDL - Generated from
  // be/be_interface.cpp:751

#if !defined (_DDS_CONDITION__VAR_OUT_CH_)
#define _DDS_CONDITION__VAR_OUT_CH_

  class Condition;
  typedef Condition *Condition_ptr;

  typedef
    TAO_Objref_Var_T<
        Condition
      >
    Condition_var;
  
  typedef
    TAO_Objref_Out_T<
        Condition
      >
    Condition_out;

#endif /* end #if !defined */

  // TAO_IDL - Generated from
  // be/be_visitor_sequence/sequence_ch.cpp:102

#if !defined (_DDS_CONDITIONSEQ_CH_)
#define _DDS_CONDITIONSEQ_CH_

  class ConditionSeq;

  typedef
    ::TAO_VarSeq_Var_T<
        ConditionSeq
      >
    ConditionSeq_var;

  typedef
    ::TAO_Seq_Out_T<
        ConditionSeq
      >
    ConditionSeq_out;

  class OpenDDS_Dcps_Export ConditionSeq
    : public
        ::TAO::unbounded_object_reference_sequence<
            Condition,
            Condition_var
          >
  {
  public:
    ConditionSeq (void);
    ConditionSeq ( ::CORBA::ULong max);
    ConditionSeq (
      ::CORBA::ULong max,
      ::CORBA::ULong length,
      Condition_ptr* buffer,
      ::CORBA::Boolean release = false);
    ConditionSeq (const ConditionSeq &);
    virtual ~ConditionSeq (void);
    

    // TAO_IDL - Generated from
    // be/be_type.cpp:307

    
    typedef ConditionSeq_var _var_type;
    typedef ConditionSeq_out _out_type;
  };

#endif /* end #if !defined */

// TAO_IDL - Generated from
// be/be_visitor_module/module_ch.cpp:67

} // module DDS

// TAO_IDL - Generated from
// be/be_visitor_arg_traits.cpp:68


OPENDDS_END_VERSIONED_NAMESPACE_DECL


TAO_BEGIN_VERSIONED_NAMESPACE_DECL


// Arg traits specializations.
namespace TAO
{

  // TAO_IDL - Generated from
  // be/be_visitor_arg_traits.cpp:685

  template<>
  class Arg_Traits< ::DDS::ConditionSeq>
    : public
        Var_Size_Arg_Traits_T<
            ::DDS::ConditionSeq,
            TAO::Any_Insert_Policy_Noop
          >
  {
  };
}

TAO_END_VERSIONED_NAMESPACE_DECL


OPENDDS_BEGIN_VERSIONED_NAMESPACE_DECL




// TAO_IDL - Generated from
// be/be_visitor_traits.cpp:62


OPENDDS_END_VERSIONED_NAMESPACE_DECL


TAO_BEGIN_VERSIONED_NAMESPACE_DECL

// Traits specializations.
namespace TAO
{

#if !defined (_DDS_CONDITION__TRAITS_)
#define _DDS_CONDITION__TRAITS_

  template<>
  struct OpenDDS_Dcps_Export Objref_Traits< ::DDS::Condition>
  {
    static ::DDS::Condition_ptr duplicate (
        ::DDS::Condition_ptr p);
    static void release (
        ::DDS::Condition_ptr p);
    static ::DDS::Condition_ptr nil (void);
    static ::CORBA::Boolean marshal (
        const ::DDS::Condition_ptr p,
        TAO_OutputCDR & cdr);
  };

#endif /* end #if !defined */
}
TAO_END_VERSIONED_NAMESPACE_DECL


OPENDDS_BEGIN_VERSIONED_NAMESPACE_DECL




// TAO_IDL - Generated from
// be/be_codegen.cpp:1703


OPENDDS_END_VERSIONED_NAMESPACE_DECL

#if defined (__ACE_INLINE__)
#include "DdsDcpsConditionSeqC.inl"
#endif /* defined INLINE */

#include /**/ "ace/post.h"

#endif /* ifndef */

